#######################################
# Skrypt PowerShella
# (C) dr Holger Schwichtenberg
# http://www.powershell-doktor.de
########################################

# Skrypt do tworzenia OU 
# (jeżeli OU już istnieje, wcześniejsza definicja zostanie usunięta!)

$ścieżkaOU= "LDAP://Serwer1/ou=Kierownicy,DC=FBI,DC=net"
$ou = new-object system.directoryservices.directoryEntry($ścieżkaOU)
if ([system.directoryservices.directoryEntry]::Exists($ścieżkaOU))
{
"OU już istnieje, wcześniejsza definicja zostanie usunięta!"
$ou.PSBase.DeleteTree()
}

"Tworzenie jednostki organizacyjnej..."
$ścieżka= "LDAP://Serwer1/DC=FBI,DC=net"
$połączenie = new-object system.directoryservices.directoryEntry($ścieżka)
$ou = $połączenie.PSBase.Children.Add("ou=Kierownicy","organizationalUnit")
$ou.PSBase.CommitChanges()
$ou.Description = "Kierownicy FBI"
$ou.PSBase.CommitChanges()
"Jednostka organizacyjna została utworzona!"
